Document revision date: 30 March 2001

## OpenVMS DCL Dictionary

Previous | Contents | Index

In this example, CPU 1 has user capability 8 enabled (user mask = 80). User capability 8 is set for the initial kernel thread of process CPUSCHED, and CPU affinity is set to 1. Either of these settings forces the initial kernel thread to run only on CPU 1, as shown by the SHOW PROCESS command.

Then, the SET PROCESS/NOAFFINITY/NOCAPABILITY command clears all CPU affinities and user capability requirements for the initial kernel thread of process (CPUSCHED), and the binding to CPU 1 disappears.

## SET PROMPT

> Replaces the default DCL prompt ($ ) with the specified string.

### Format

> SET PROMPT [=string]

### Parameter

> #### string

> Specifies the new prompt string. The following rules apply:
> - All valid ASCII characters can be used.
> - No more than 32 characters are allowed.
> - To include spaces or lowercase letters, enclose the string in quotation marks (" "). Otherwise, letters are converted automatically to uppercase; leading and trailing spaces are removed.

> If you do not specify the string parameter with the SET PROMPT command, the default DCL prompt ($ ) is restored.

### Description

> The SET PROMPT command customizes prompts for your main process or a subprocess.

> When a continued command is read from the terminal or an indirect command is read from a command procedure, DCL places an underscore in front of the prompt string.

### Qualifier

> #### /CARRIAGE_CONTROL (default)

> #### /NOCARRIAGE_CONTROL

> Inserts carriage return and line feed characters before the prompt string. Type the qualifier after the string parameter.

### Example

    $ SET PROMPT ="What's next?"
    What's next? SHOW TIME
     19-APR-2001 14:08:58

> The SET PROMPT command in this example replaces the DCL prompt ($ ) with the phrase "What's next?". When you see the prompt on your screen, you can enter any DCL command. This example uses the SHOW TIME command.

## SET PROTECTION/DEFAULT

> Establishes the default protection for files created by the current process.

### Format

> SET PROTECTION [=(code)]/DEFAULT

### Parameter

> #### code

> Specifies the SOGW protection to be assigned by default to all files subsequently created by the current process. To override this protection, you must specify an explicit protection using either the SET PROTECTION command or the /PROTECTION qualifier on the CREATE command. If you do not specify a protection code, the current default remains unchanged.

> The code is made up of the following components:

> - Ownership category---system (S), owner (O), group (G), or world (W). Each category can be abbreviated to its first character.
> - Access category---Read (R), write (W), execute (E), or delete (D). The access category is assigned to each ownership category. A null access specification means no access.

> Note Use the SET SECURITY command in place of other SET PROTECTION commands to reset security characteristics of the directory or file.

### Example

    $ SET PROTECTION=(GROUP:RWED,WORLD:R)/DEFAULT

> The SET PROTECTION/DEFAULT command in this example sets the default protection to grant unlimited access to other users in the same group and read (R) access to all users. The default protections for system and owner are not changed.

## SET QUEUE

> Changes the attributes of the specified queue.

> Requires manage (M) access to the queue.

### Format

> SET QUEUE queue-name[:]

### Parameter

> #### queue-name[:]

> Specifies the name of an execution queue or a generic queue.

### Description

> After you have created a queue with the INITIALIZE/QUEUE command, use the SET QUEUE command to change the queue's status or attributes.

> The defaults for the SET QUEUE qualifiers depend on the qualifiers of the queue when it was initialized. For example, the default for /JOB_LIMIT with INITIALIZE/QUEUE is 1. However, if the queue you are altering was initialized with a job limit of 3, and if you do not specify the /JOB_LIMIT qualifier with the SET QUEUE command, the job limit remains at 3 for that queue.

### Qualifiers

> #### /BASE_PRIORITY=n

> Specifies the base process priority at which jobs are initiated from a batch execution queue. The base priority specifier can be any decimal value from 0 to 15.

> You also can specify this qualifier for an output execution queue. In this context the /BASE_PRIORITY qualifier establishes the base priority of the symbiont process when the symbiont process is created.

> #### /BLOCK_LIMIT=([lowlim,]uplim)

> #### /NOBLOCK_LIMIT

> Limits the size of print jobs that can be processed on an output execution queue. This qualifier allows you to reserve certain printers for certain size jobs. You must specify at least one of the parameters.

> The lowlim parameter is a decimal number referring to the minimum number of blocks that are accepted by the queue for a print job. If a print job is submitted that contains fewer blocks than the lowlim value, the job remains pending until the block limit for the queue is changed. After the block limit for the queue is decreased sufficiently, the job is processed.

> The uplim parameter is a decimal number referring to the maximum number of blocks that are accepted by the queue for a print job. If a print job is submitted that exceeds this value, the job remains pending until the block limit for the queue is changed. After the block limit for the queue is increased sufficiently, the job is processed.

> If you specify only an upper limit for jobs, you can omit the parentheses. For example, /BLOCK_LIMIT=1000 means that only jobs with 1000 blocks or less are processed in the queue. To specify only a lower job limit, you must use a null string ("") to indicate the upper limit. For example, /BLOCK_LIMIT=(500,"") means any job with 500 or more blocks is processed in the queue. You can specify both a lower and upper limit. For example, /BLOCK_LIMIT=(200,2000) means that jobs with less than 200 blocks or more than 2000 blocks are not processed in the queue.

> The /NOBLOCK_LIMIT qualifier cancels the previous block limit setting for that queue.

> #### /CHARACTERISTICS=(characteristic[,...])

> #### /NOCHARACTERISTICS

> Specifies one or more characteristics for processing jobs on an execution queue. If a queue does not have all the characteristics that have been specified for a job, the job remains pending. If you specify only one characteristic, you can omit the parentheses. Each time you specify the /CHARACTERISTICS qualifier, all previously set characteristics are canceled. Only the characteristics specified with the qualifier are established for the queue.

> Queue characteristics are installation specific. The characteristic parameter can be either a value from 0 to 127 or a characteristic name that has been defined by the DEFINE/CHARACTERISTIC command.

> The /NOCHARACTERISTICS qualifier cancels any characteristics settings previously established for that queue.

> #### /CLOSE

> Prevents jobs from being entered in the queue through PRINT or SUBMIT commands or as a result of requeue operations. To allow jobs to be entered, use the /OPEN qualifier. Whether a queue accepts or rejects new job entries is independent of the queue's state (such as paused, stopped, or stalled). When a queue is marked closed, jobs executing continue to execute and jobs pending in the queue continue to be candidates for execution.

> #### /CPUDEFAULT=time

> Defines the default CPU time limit for jobs in a batch execution queue. You can specify time as delta time, 0, INFINITE, or NONE. You can specify up to 497 days of delta time.

> If the queue does not have a defined CPUMAXIMUM time limit and the value established in the user authorization file (UAF) has a specified CPU time limit of NONE, either the value 0 or the keyword INFINITE allows unlimited CPU time. If you specify NONE, the CPU time value defaults to the value specified either in the UAF or by the SUBMIT command (if included). CPU time values must be greater than or equal to the number specified by the system parameter PQL_MCPULM. The time cannot exceed the CPU time limit set by the /CPUMAXIMUM qualifier. For information on specifying delta time, refer to the OpenVMS User's Manual or the online help topic DCL_Tips (subtopic Date_Time). For more information on specifying CPU time limits, see the CPU Time Limit Specifications and Actions table for the INITIALIZE/QUEUE command.

> #### /CPUMAXIMUM=time

> Defines the maximum CPU time limit for all jobs in a batch execution queue. You can specify time as delta time, 0, INFINITE, or NONE. You can specify up to 497 days of delta time.

> The /CPUMAXIMUM qualifier overrides the time limit specified in the user authorization file (UAF) for any user submitting a job to the queue. Either the value 0 or the keyword INFINITE allows unlimited CPU time. If you specify NONE, the CPU time value defaults to the value specified either in the UAF or by the SUBMIT command (if included). CPU time values must be greater than or equal to the number specified by the system parameter PQL_MCPULM.

> For information on specifying delta time, refer to the OpenVMS User's Manual or the online help topic DCL_Tips (subtopic Date_Time). For more information on specifying CPU time limits, see the CPU Time Limit Specifications and Actions table for the INITIALIZE/QUEUE command.

> #### /DEFAULT=(option[,...])

> #### /NODEFAULT

> Establishes defaults for certain options of the PRINT command. Defaults are specified by the list of options. If you specify only one option, you can omit the parentheses. After you set an option for the queue with the /DEFAULT qualifier, you do not have to specify that option in your PRINT commands. If you do specify these options in your PRINT command, the values specified with the PRINT command override the values established for the queue with the /DEFAULT qualifier. Possible options are as follows:

> [NO]BURST[=keyword] | Controls whether two file flag pages with a burst bar between them are printed preceding output. If you specify the value ALL (default), these flag pages are printed before each file in the job. If you specify the value ONE, these flag pages are printed once before the first file in the job.
> [NO]FEED | Specifies whether a form feed is inserted automatically at the end of a page.
> [NO]FLAG[=keyword] | Controls whether a file flag page is printed preceding output. If you specify the value ALL (default), a file flag page is printed before each file in the job. If you specify the value ONE, a file flag page is printed once before the first file in the job.
> FORM=type | Specifies the default form for an output execution queue. If a job is submitted without an explicit form definition, this form is used to process the job. If no form type is explicitly specified with the FORM keyword, the system assigns the form "DEFAULT" to the queue. See also the description of the /FORM_MOUNTED qualifier.
> [NO]TRAILER[=keyword] | Controls whether a file trailer page is printed following output. If you specify the value ALL (default), a trailer page is printed with each file in the job. If you specify the value ONE, a trailer page is printed once with the last file in the job.

> When you specify the BURST option for a file, the [NO]FLAG option does not add or subtract a flag page from the two flag pages that are printed preceding the file.

> For information on establishing mandatory queue attributes, see the description of the /SEPARATE qualifier. For information on specifying default queue attributes, refer to the OpenVMS System Manager's Manual.

> #### /DESCRIPTION=string

> #### /NODESCRIPTION

> Specifies a string of up to 255 characters used to provide operator-supplied information about the queue.

> Enclose strings containing lowercase letters, blanks, or other nonalphanumeric characters (including spaces) in quotation marks (" ").

> The /NODESCRIPTION qualifier removes any descriptive text that may have been associated with the queue.

> #### /DISABLE_SWAPPING

> #### /NODISABLE_SWAPPING

> Controls whether batch jobs executed from a queue can be swapped in and out of memory.

> #### /ENABLE_GENERIC

> #### /NOENABLE_GENERIC

> Specifies whether files queued to a generic queue that does not specify explicit queue names can be placed in this execution queue for processing.

> #### /FORM_MOUNTED=type

> Specifies the mounted form for an output execution queue.

> If no form type is explicitly specified, the system assigns the form "DEFAULT" to the queue.

> If the stock of the mounted form does not match the stock of the default form, as indicated by the /DEFAULT=FORM qualifier, all jobs submitted to this queue without an explicit form definition enter a pending state and remain pending until the stock of the queue's mounted form is identical to the stock of the form associated with the job.

> If a job is submitted with an explicit form and the stock of the explicit form is not identical to the stock of the mounted form, the job enters a pending state and remains pending until the stock of the mounted form of the queue is identical to the stock of the form associated with the job.

> To specify the form type, use either a numeric value or a form name that has been defined by the DEFINE/FORM command. Form types are installation-specific. You cannot use the /FORM_MOUNTED qualifier with the /GENERIC qualifier.

> #### /JOB_LIMIT=n

> Indicates the number of batch jobs that can be executed concurrently from the queue. Specify a number in the range 1 to 255.

> #### /NO_INITIAL_FF

> #### /NONO_INITIAL_FF (default)

> Allows user to set or modify whether a form feed should be sent to a printer device when a queue starts. To suppress the initial form feed, set the queue with /NO_INITIAL_FF qualifier.

> Setting the queue with /NONO_INITIAL_FF qualifier sends a form feed to the output device before printing begins when the queue restarts.

> #### /OPEN

> Allows jobs to be entered in the queue through PRINT or SUBMIT commands or as the result of requeue operations. To prevent jobs from being entered in the queue, use the /CLOSE qualifier. Whether a queue accepts or rejects new job entries is independent of the queue's state (such as paused, stopped, or stalled).

> #### /OWNER_UIC=uic

> Requires OPER (operator) privilege or control (C) access to the queue.

> Enables you to change the user identification code (UIC) of the queue. Specify the UIC by using the standard format as described in the OpenVMS Guide to System Security.

> #### /PROTECTION=(ownership[:access],...)

> Requires OPER (operator) privilege to control access to the queue.

> Specifies the protection of the queue. The following rules apply:

> - Specify the ownership parameter as system (S), owner (O), group (G), or world (W).
> - Specify the access parameter as read (R), submit (S), manage (M), or delete (D). A null access specification means no access.

> If you include only one protection code, you can omit the parentheses.

> For more information on specifying protection codes, refer to the OpenVMS Guide to System Security. For more information on controlling queue operations through UIC-based protection, refer to the OpenVMS System Manager's Manual.

> #### /RECORD_BLOCKING

> #### /NORECORD_BLOCKING

> Determines whether the symbiont can concatenate (or block together) output records for transmission to the output device. If you specify the /NORECORD_BLOCKING qualifier, the symbiont sends each formatted record in a separate I/O request to the output device. For the standard OpenVMS system print symbiont, record blocking can have a significant performance advantage over single-record mode.

> #### /RETAIN[=option]

> #### /NORETAIN

> Holds jobs in the queue in a retained status after they have executed. The /NORETAIN qualifier enables you to reset the queue to the default. Possible options are as follows:

> ALL | Holds all jobs in the queue after execution (default).
> ERROR | Holds in the queue only jobs that complete unsuccessfully.

> #### /SCHEDULE=[NO]SIZE

> Specifies whether pending jobs in an output queue are scheduled for printing based on the size of the job. When the /SCHEDULE=SIZE qualifier is in effect, shorter jobs print before longer ones. When the /SCHEDULE=NOSIZE qualifier is in effect, jobs are printed in the order they were submitted, regardless of size.

> If you enter this command while there are pending jobs in any queue, its effect on future jobs is unpredictable.

> #### /SEPARATE=(option[,...])

> #### /NOSEPARATE

> Specifies the mandatory queue attributes or job separation options for an output execution queue. Job separation options cannot be overridden by the PRINT command.

> The job separation options are as follows:

> [NO]BURST | Specifies whether two job flag pages with a burst bar between them are printed at the beginning of each job.
> [NO]FLAG | Specifies whether a job flag page is printed at the beginning of each job.
> [NO]RESET=(module[,...]) | Specifies one or more device control library modules that contain the job reset sequence for the queue. The specified modules from the queue's device control library (by default SYS$LIBRARY:SYSDEVCTL) are used to reset the device each time a job reset occurs. The RESET sequence occurs after any file trailer and before any job trailer; therefore, all job separation pages are printed when the device is in its RESET state.
> [NO]TRAILER | Specifies whether a job trailer page is printed at the end of each job.

> When you specify the /SEPARATE=BURST qualifier, the [NO]FLAG separation option does not add or subtract a flag page from the two flag pages that are printed preceding the job.

> For information on establishing queue attributes that can be overridden, see the description of the /DEFAULT qualifier.

> For more information on specifying mandatory queue attributes, refer to the OpenVMS System Manager's Manual.

> #### /WSDEFAULT=n

> Defines for a batch job a working set default, the default number of physical pages that the job can use.

> The value set by this qualifier overrides the value defined in the user authorization file (UAF) of any user submitting a job to the queue.

> Specify the value of n as a number of 512-byte pagelets on Alpha or 512-byte pages on VAX. Note that the OpenVMS system rounds up this value to the nearest CPU-specific page so that actual amount of physical memory allowed may be larger than the specified amount on Alpha.

> If you specify the value 0 or NONE, the working set default value defaults to the value specified in the UAF or by the SUBMIT command (if included).

> For more information about the way a working set default affects batch jobs, see Table DCLII-19.

> #### /WSEXTENT=n

> Defines for the batch job a working set extent, the maximum amount of physical memory that the job can use. The job uses the maximum amount of physical memory only when the system has excess free pages. The value set by this qualifier overrides the value defined in the user authorization file (UAF) of any user submitting a job to the queue.

> Specify the value of n as a number of 512-byte pagelets on Alpha or 512-byte pages on VAX. Note that the OpenVMS system rounds up this value to the nearest CPU-specific page so that actual amount of physical memory allowed may be larger than the specified amount on Alpha.

> If you specify the value 0 or NONE, the working set extent value defaults to the value specified in the UAF or by the SUBMIT command (if included).

> For more information about the way a working set extent affects batch jobs, see Table DCLII-19.

> #### /WSQUOTA=n

> Defines for a batch job the working set quota, the amount of physical memory that is available to the job. The value set by this qualifier overrides the value defined in the user authorization file (UAF) of any user submitting a job to the queue.

> Specify the value of n as a number of 512-byte pagelets on Alpha systems or 512-byte pages on VAX systems. Note that the OpenVMS system rounds up this value to the nearest CPU-specific page so that actual amount of physical memory allowed may be larger than the specified amount on Alpha. If you specify the value 0 or NONE, the working set quota value defaults to the value specified in the UAF or by the SUBMIT command (if included).

> A working set default size and a working set quota (maximum size) are included in each user record in the system user authorization file (UAF). You can specify a working set default and a working set quota for both individual jobs and for all jobs in a given queue. The decision table (Table DCLII-19) shows the action taken for different combinations of specifications that involve working set size and working set quota values.

> Table DCLII-19 Working Set Default, Extent, and Quota Decision
> Value Specified by the SUBMIT Command? | Value Specified for the Queue? | Action Taken
> --- | --- | ---
> No | No | Use the UAF value.
> No | Yes | Use the value for the queue.
> Yes | Yes | Use the smaller of the two values.
> Yes | No | Compare the specified value with the UAF value; use the smaller.

###

#### Examples

#1
    $ INITIALIZE/QUEUE/DEFAULT=BURST/FORM_MOUNTED=LETTER/START SYS$PRINT
       .
       .
       .
    $ STOP/QUEUE/NEXT SYS$PRINT
    $ SET QUEUE/DEFAULT=BURST/FORM_MOUNTED=MEMO SYS$PRINT

> In this example, the queue is initialized with the INITIALIZE/QUEUE command. The queue has the following attributes: two file flag pages preceding each file in the job and the mounted form LETTER. Later the queue is stopped with the STOP/QUEUE/NEXT command so that the current job finishes processing before the queue stops. The SET QUEUE command changes the mounted form to MEMO.

#2
    $ SET QUEUE/DEFAULT=FORM=LN01_PORTRAIT LN01_PRINT

> In this example, the SET QUEUE command changes the default form to LN01_PORTRAIT for the LN01_PRINT queue.

#3
    $ SET QUEUE/CLOSE SYS$BATCH

> In this example, the batch queue SYS$BATCH is modified to prevent jobs from being entered in this queue.

Previous | Next | Contents | Index

| privacy and legal statement |
9996PRO_059.HTML